# mounts all other filesystems rw

service system/mountfs {
	need = system/initial system/mountroot system/modules

	start {
		# Read functions
		. /etc/rc.d/init.d/functions

		# And sysconfig
		if [ -r /etc/sysconfig/system ]; then
			. /etc/sysconfig/system
		else
			VSERVER=no
		fi

		if [ "$VSERVER" = "yes" ]; then
			exit 0
		fi

		# Mount all other filesystems (except for NFS and /proc, which is already
		# mounted). Contrary to standard usage,
		# filesystems are NOT unmounted in single user mode.

		run_cmd "Mounting local filesystems" mount -a -t nonfs,smbfs,ncpfs,proc,cifs -O no_netdev
	}
}
